Managed Instance Azure AD Only Authentications - List By Instance

Krijgt een lijst van serverauthenticaties die alleen Azure Active Directory gebruiken.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/azureADOnlyAuthentications?api-version=2025-01-01

URI-parameters

Naam In Vereist Type Description
managedInstanceName
path True

string

De naam van het beheerde exemplaar.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Naam Type Description
200 OK

ManagedInstanceAzureADOnlyAuthListResult

De aanvraag is voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Naam Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Gets a list of Azure Active Directory only authentication object.

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/azureADOnlyAuthentications?api-version=2025-01-01

Voorbeeldrespons

{
  "value": [
    {
      "name": "Default",
      "type": "Microsoft.Sql/managedInstances/azureadonlyauthentications",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/azureADOnlyAuthentications/providers/Microsoft.Sql/managedInstances/managedInstance/azureadonlyauthentications/default",
      "properties": {
        "azureADOnlyAuthentication": true
      }
    }
  ]
}

Definities

Naam Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ManagedInstanceAzureADOnlyAuthentication

Azure Active Directory alleen authenticatie.

ManagedInstanceAzureADOnlyAuthListResult

Lijst met verplaatsingsbewerkingen voor beheerde databases.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Naam Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Naam Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Naam Type Description
error

ErrorDetail

Het foutobject.

ManagedInstanceAzureADOnlyAuthentication

Azure Active Directory alleen authenticatie.

Naam Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.azureADOnlyAuthentication

boolean

Azure Active Directory alleen authenticatie ingeschakeld.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

ManagedInstanceAzureADOnlyAuthListResult

Lijst met verplaatsingsbewerkingen voor beheerde databases.

Naam Type Description
nextLink

string

Koppeling om de volgende pagina met resultaten op te halen.

value

ManagedInstanceAzureADOnlyAuthentication[]

Matrix met resultaten.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Naam Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.